<%@ page language="java" session="true" isErrorPage="true" contentType="text/html;charset=ISO-8859-2" %>
<%@ page import="java.io.*"%>
<%@ page pageEncoding="UTF-8"%>
<%@ include file="header.jsp" %>
<html>
<head>
<SCRIPT LANGUAGE="JavaScript">
<!-- JavaScript code hiding
	function simpleLink(origLink) {
		parent.mainFrame.location = origLink;
	}

	function link(origLink){
		if (top.mainFrame.document.forms.length == 0) {
			simpleLink(origLink);
			return;
		}
		else {
			if (top.mainFrame.document.forms[0].saveState == null) {
				simpleLink(origLink); 
				return;
			}
			top.mainFrame.document.forms[0].saveState.value = top.mainFrame.self.location.pathname;
			top.mainFrame.document.forms[0].link.value = origLink;
			top.mainFrame.document.forms[0].submit();
		}
	}
// -->
</SCRIPT>
</head>
<body>
Error occured:<br>
<% 
 Throwable exc = (Throwable)session.getAttribute("lastException");
 if (exc==null) exc = exception;
%>

<%=exc.getMessage()%>

<% 
	exc.printStackTrace(new PrintWriter(out, true)); %> 
<% 
  

  session.setAttribute("lastException", null);
  
 %>
 
 <a href="javascript:top.location.href= 'process/login.jsp'">Login page</a><br>
</body>
</html>